Bug 125499 - Video RAM incorrectly guessed on video card
Video RAM incorrectly guessed on video card
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-08 04:57 EDT by Ian Laurie
Modified: 2014-03-16 22:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 14:37:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Laurie 2004-06-08 04:57:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Installation incorrectly guesses that my Creative 32M GeForce 256 DDR
card has 4M of RAM.

Historically the Linux installation procedure has almost always
wrongly guessed the amount of RAM on my video cards, but previous
installation programs have allowed the user to explicitly tell the
system how much RAM was on the card.... Fedora 2 doesn't allow for
this.  Consequently I'm left with a grim subset of video modes.


Version-Release number of selected component (if applicable):
kudzu-1.1.62-1

How reproducible:
Always

Steps to Reproduce:
1. Install Linux with a Creative 32M GeForce 256 DDR video card.
2.
3.
    

Actual Results:  Installation sets X up to run the card as if it has
4M instead of 32M of RAM.

Expected Results:  Installation should detect 32M of RAM, or if that
is problematic (which it is) then it should ASK the user during
installation like it used to do in previous Red Hat releases.

Additional info:

This isn't the only card I have that doesn't get probed correctly. 
Most, if not all, my various types of GeForce cards are problematic. 
My gripe is that given how problematic guessing the RAM size is, why
was the question removed from the installation process?  It took this
relative newbie a days of hacking to work out the following workaround.

Workaround:

Add the line "VideoRam 32768" to /etc/X11/xorg.conf as in the
following example:

Section "Device"
	Identifier  "Videocard0"
	Driver      "nv"
	VendorName  "Videocard vendor"
	BoardName   "NVIDIA GeForce 256 (generic)"
	VideoRam    32768
EndSection

Please return the the questions about the video card and the amount of
RAM on the card to the installation process, or fix the video card
probing mechanism so it works reliably.  Frankly I'm happy for the
installation program to ask about it.
Comment 1 Matthew Miller 2005-04-26 11:41:52 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.